> For the complete documentation index, see [llms.txt](https://developer.collibra.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.collibra.com/api/graphql/data-access/input-types/data-source-sync-request.md).

# DataSourceSyncRequest

Input object to request a manual sync of a data source.

```graphql
input DataSourceSyncRequest {
  dataAccessFromTargetSync: Boolean!
  dataAccessToTargetSync: Boolean!
  dataObjectParent: String
  dataObjectSync: Boolean!
  dataSourceId: String!
  excludeExisting: Boolean
  identitySync: Boolean!
}
```

### Fields

#### dataAccessFromTargetSync ● [`Boolean!`](/api/graphql/data-access/scalars/boolean.md) non-null scalar <a href="#data-access-from-target-sync" id="data-access-from-target-sync"></a>

Boolean to indicate if access from target needs to be synced or not.

#### dataAccessToTargetSync ● [`Boolean!`](/api/graphql/data-access/scalars/boolean.md) non-null scalar <a href="#data-access-to-target-sync" id="data-access-to-target-sync"></a>

Boolean to indicate if access to target needs to be synced or not.

#### dataObjectParent ● [`String`](/api/graphql/data-access/scalars/string.md) scalar <a href="#data-object-parent" id="data-object-parent"></a>

Optional: the ID of the data object to sync. That means that, if this is specified, the import will be run with `DeleteUntouched=false`, so no cleanup will be done of removed data objects.

#### dataObjectSync ● [`Boolean!`](/api/graphql/data-access/scalars/boolean.md) non-null scalar <a href="#data-object-sync" id="data-object-sync"></a>

Boolean to indicate if the data objects needs to be synced or not.

#### dataSourceId ● [`String!`](/api/graphql/data-access/scalars/string.md) non-null scalar <a href="#data-source-id" id="data-source-id"></a>

The ID of the data source to sync.

#### excludeExisting ● [`Boolean`](/api/graphql/data-access/scalars/boolean.md) scalar <a href="#exclude-existing" id="exclude-existing"></a>

Optional: When DataObjectParent is provided, this boolean can indicate whether we need to ignore all the existing child data objects of the parent or not (also look for new descendants there).

#### identitySync ● [`Boolean!`](/api/graphql/data-access/scalars/boolean.md) non-null scalar <a href="#identity-sync" id="identity-sync"></a>

Boolean to indicate if identities needs to be synced or not.

### Member Of

`triggerDataSourceCliSync` mutation ● `triggerDataSourceSync` mutation


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developer.collibra.com/api/graphql/data-access/input-types/data-source-sync-request.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
